
package IBusiness.delegate.soap.mail;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.9-b130926.1035
 * Generated source version: 2.2
 * 
 */
@WebService(name = "IWSMail", targetNamespace = "http://wsmail.afcepf.fr")
@XmlSeeAlso({
    ObjectFactory.class
})
public interface IWSMail {


    /**
     * 
     * @param infoMailDTO
     * @return
     *     returns boolean
     */
    @WebMethod
    @WebResult(name = "resultMail", targetNamespace = "")
    @RequestWrapper(localName = "envoyerMail", targetNamespace = "http://wsmail.afcepf.fr", className = "IBusiness.delegate.soap.mail.EnvoyerMail")
    @ResponseWrapper(localName = "envoyerMailResponse", targetNamespace = "http://wsmail.afcepf.fr", className = "IBusiness.delegate.soap.mail.EnvoyerMailResponse")
    public boolean envoyerMail(
        @WebParam(name = "infoMailDTO", targetNamespace = "")
        InfoMailDTO infoMailDTO);

}
